Skip to main content
POST
/
v1
/
workflows
/
{id}
/
edges
Connect two nodes with an edge
curl --request POST \
  --url https://app.galaxy.ai/api/v1/workflows/{id}/edges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceNodeId": "<string>",
  "sourceHandle": "<string>",
  "targetNodeId": "<string>",
  "targetHandle": "<string>"
}
'
{
  "edgeId": "<string>",
  "source": "<string>",
  "sourceHandle": "<string>",
  "target": "<string>",
  "targetHandle": "<string>",
  "dataTypes": {
    "source": "<string>",
    "target": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workflow ID

Minimum string length: 1

Body

application/json
sourceNodeId
string
required

Source node ID

Minimum string length: 1
sourceHandle
string
required

Source output handle (e.g. 'out:output'). Request node uses bare field ID.

Minimum string length: 1
targetNodeId
string
required

Target node ID

Minimum string length: 1
targetHandle
string
required

Target input handle (e.g. 'in:prompt'). Response node uses 'result'.

Minimum string length: 1

Response

Successful response

edgeId
string
required
source
string
required
sourceHandle
string
required
target
string
required
targetHandle
string
required
dataTypes
object
required